Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Scheduling_Strategy< SVC_HANDLER > Class Template Reference

Defines the interface for specifying how to suspend and resume a service . More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Scheduling_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME SVC_HANDLER::addr_type | addr_type
typedef SVC_HANDLER | handler_type
typedef ACE_TYPENAME SVC_HANDLER::stream_type | stream_type
## Public Methods
| ACE_Scheduling_Strategy (SVC_HANDLER *=0)
| Constructor.
virtual | ~ACE_Scheduling_Strategy (void)
| Destructor.
virtual int | suspend (void)
| Suspend hook.
virtual int | resume (void)
| Resume hook.
virtual void | dump (void) const
| Dump the state of the object.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Scheduling_Strategy< SVC_HANDLER >

Defines the interface for specifying how to suspend and resume a service .

This class provides a strategy that allows arbitrarily sophisticated service suspension and resumption. The default behavior is to do nothing...

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::addr_type ACE_Scheduling_Strategy< SVC_HANDLER >::addr_type

template<class SVC_HANDLER>
typedef SVC_HANDLER ACE_Scheduling_Strategy< SVC_HANDLER >::handler_type

template<class SVC_HANDLER>
typedef ACE_TYPENAME SVC_HANDLER::stream_type ACE_Scheduling_Strategy< SVC_HANDLER >::stream_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ASYS_INLINE ACE_Scheduling_Strategy< SVC_HANDLER >::ACE_Scheduling_Strategy | ( | SVC_HANDLER * | = 0 | ) |

| Constructor.

template<class SVC_HANDLER>
ASYS_INLINE ACE_Scheduling_Strategy< SVC_HANDLER >::~ACE_Scheduling_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class SVC_HANDLER>
void ACE_Scheduling_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const`[virtual]`

| Dump the state of the object. Reimplemented in ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >, and ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Scheduling_Strategy< SVC_HANDLER >::resume | ( | void |  | ) | `[virtual]`

| Resume hook. Reimplemented in ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >, and ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
ASYS_INLINE int ACE_Scheduling_Strategy< SVC_HANDLER >::suspend | ( | void |  | ) | `[virtual]`

| Suspend hook. Reimplemented in ACE_Schedule_All_Reactive_Strategy< SVC_HANDLER >, and ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i